package com.example.labwork.button_navigation

import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.itemsIndexed
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.example.labwork.models.getItemProducts
import com.example.labwork.pages.ListInfo
import com.example.labwork.pages.ListProduct
import com.example.labwork.pages.RegisteryOrLogin

@Composable
fun ScreenInfo() {
    ListInfo()
}

@Composable
fun ScreenProfile() {
    RegisteryOrLogin()
}


@Composable
fun ScreenListProduct() {
    LazyColumn(
        modifier = Modifier.fillMaxHeight().padding(bottom = 65.dp)
    ) {
        itemsIndexed(
            getItemProducts()
        )
        {
            _, item ->
            ListProduct(item = item)
        }
    }
}

